import Vue from "vue";
import VueRouter, { RouteConfig } from "vue-router";
Vue.use(VueRouter);
const routes: Array<RouteConfig> = [
    {
        path: "/",
        name: "index",
        component: () => import(/* webpackChunkName: "home" */ "../views/home.vue"),
    },
    {
        path: "/editer",
        name: "Editer",
        component: () => import(/* webpackChunkName: "editer" */ "../views/editer.vue"),
    },
    {
        path: "/home",
        name: "Home",
        component: () => import(/* webpackChunkName: "home" */ "../views/home.vue"),
    },
    // 上传设备svg图标页面
    {
        path: "/svg",
        name: "Svg",
        component: () => import(/* webpackChunkName: "svg" */ "../views/uploadEquipmentSvg.vue"),
    },
];

const router = new VueRouter({
    mode: "history",
    base: "persagyPlan",
    routes,
});

export default router;
